Bug 74269 - KATE crashes on opening a handful of files
KATE crashes on opening a handful of files
Status: CLOSED ERRATA
Product: Red Hat Linux
Classification: Retired
Component: kdebase (Show other bugs)
7.3
i386 Linux
medium Severity high
: ---
: ---
Assigned To: Ngo Than
Ben Levenson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-09-19 04:04 EDT by Daniel J Blueman
Modified: 2007-04-18 12:46 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-12-17 03:51:05 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Daniel J Blueman 2002-09-19 04:04:27 EDT
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 5.5; Windows NT 5.0; T312461)

Description of problem:
When a number of files are opened in KATE one at a time, around 6 or so, KATE 
will crash causing dataloss of any unsaved files.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. Run KATE
2. Open files one at a time
3. Repeat step 2 until it crashes. If not, use it for development for a few 
minutes and then open another file
	

Actual Results:  KATE got SEGV'd

Expected Results:  KATE should have not got SEGV'd

Additional info:

I have been finding this since the RH7.3 beta release, and since, with all the 
updates applied.
Comment 1 Daniel J Blueman 2002-09-30 06:30:55 EDT
Backtrace as follows. Reproducable on different kernel versions, different 
filesystems, different i386 machines.

[daniel@pingu daniel]$ gdb kate
GNU gdb Red Hat Linux (5.2-2)
Copyright 2002 Free Software Foundation, Inc.
GDB is free software, covered by the GNU General Public License, and you are
welcome to change it and/or distribute copies of it under certain conditions.
Type "show copying" to see the conditions.
There is absolutely no warranty for GDB.  Type "show warranty" for details.
This GDB was configured as "i386-redhat-linux"...(no debugging symbols found)...
(gdb) run
Starting program: /usr/bin/kate
(no debugging symbols found)...[New Thread 1024 (LWP 11752)]
KDirWatch::removeDir can't handle '/home/daniel/quadrics/qstests'
KDirWatch::removeDir can't handle '/home/daniel/quadrics'
KDirWatch::removeDir can't handle '/home/daniel/quadrics/qstests'
KDirWatch::removeDir can't handle '/home/daniel/quadrics'
KDirWatch::removeDir can't handle '/home/daniel/quadrics/qstests'
KDirWatch::removeDir can't handle '/home/daniel/tmp'

Program received signal SIGSEGV, Segmentation fault.
[Switching to Thread 1024 (LWP 11752)]
0x402bd7d0 in KDirListerCache::findByName () from /usr/lib/libkio-gcc2.96.so.4
(gdb) whewre
Undefined command: "whewre".  Try "help".
(gdb) where
#0  0x402bd7d0 in KDirListerCache::findByName () from /usr/lib/libkio-
gcc2.96.so.4
#1  0x402c3f0a in KDirLister::findByName () from /usr/lib/libkio-gcc2.96.so.4
#2  0x4033e37b in KDirOperator::setCurrentItem () from /usr/lib/libkio-
gcc2.96.so.4
#3  0x40333808 in KFileDialog::slotLoadingFinished () from /usr/lib/libkio-
gcc2.96.so.4
#4  0x403386c9 in KFileDialog::qt_invoke () from /usr/lib/libkio-gcc2.96.so.4
#5  0x4005a3f2 in KateFileDialog::qt_invoke () from /usr/lib/kate-gcc2.96.so
#6  0x409fbec7 in QObject::activate_signal () from /usr/lib/qt3-
gcc2.96/lib/libqt-mt.so.3
#7  0x409fbe28 in QObject::activate_signal () from /usr/lib/qt3-
gcc2.96/lib/libqt-mt.so.3
#8  0x403412c8 in KDirOperator::finishedLoading () from /usr/lib/libkio-
gcc2.96.so.4
#9  0x40340b8c in KDirOperator::slotCanceled () from /usr/lib/libkio-
gcc2.96.so.4
#10 0x40341abb in KDirOperator::qt_invoke () from /usr/lib/libkio-gcc2.96.so.4
#11 0x409fbf33 in QObject::activate_signal () from /usr/lib/qt3-
gcc2.96/lib/libqt-mt.so.3
#12 0x409fbe28 in QObject::activate_signal () from /usr/lib/qt3-
gcc2.96/lib/libqt-mt.so.3
#13 0x402c8208 in KDirLister::canceled () from /usr/lib/libkio-gcc2.96.so.4
#14 0x402bc833 in KDirListerCache::forgetDirs () from /usr/lib/libkio-
gcc2.96.so.4
#15 0x402bc5ca in KDirListerCache::forgetDirs () from /usr/lib/libkio-
gcc2.96.so.4
#16 0x402ba1c6 in KDirListerCache::listDir () from /usr/lib/libkio-gcc2.96.so.4
#17 0x402c3448 in KDirLister::openURL () from /usr/lib/libkio-gcc2.96.so.4
#18 0x4033de51 in KDirOperator::connectView () from /usr/lib/libkio-gcc2.96.so.4
#19 0x4033df48 in KDirOperator::setView () from /usr/lib/libkio-gcc2.96.so.4
#20 0x4033db00 in KDirOperator::setView () from /usr/lib/libkio-gcc2.96.so.4
#21 0x4033ded6 in KDirOperator::setMode () from /usr/lib/libkio-gcc2.96.so.4
#22 0x40336e57 in KFileDialog::setMode () from /usr/lib/libkio-gcc2.96.so.4
#23 0x40059917 in KateFileDialog::KateFileDialog () from /usr/lib/kate-
gcc2.96.so
#24 0x4004c9e4 in KateViewManager::slotDocumentOpen () from /usr/lib/kate-
gcc2.96.so
#25 0x4004aa2d in KateViewManager::qt_invoke () from /usr/lib/kate-gcc2.96.so
#26 0x409fbec7 in QObject::activate_signal () from /usr/lib/qt3-
gcc2.96/lib/libqt-mt.so.3
#27 0x409fbe28 in QObject::activate_signal () from /usr/lib/qt3-
gcc2.96/lib/libqt-mt.so.3
#28 0x40489fe5 in KAction::activated () from /usr/lib/libkdeui-gcc2.96.so.4
#29 0x4047aadb in KAction::slotActivated () from /usr/lib/libkdeui-gcc2.96.so.4
#30 0x4048a203 in KAction::qt_invoke () from /usr/lib/libkdeui-gcc2.96.so.4
#31 0x409fbf33 in QObject::activate_signal () from /usr/lib/qt3-
gcc2.96/lib/libqt-mt.so.3
#32 0x409fbe28 in QObject::activate_signal () from /usr/lib/qt3-
gcc2.96/lib/libqt-mt.so.3
#33 0x40cfca58 in QButton::clicked () from /usr/lib/qt3-gcc2.96/lib/libqt-
mt.so.3
#34 0x40a90a57 in QButton::mouseReleaseEvent () from /usr/lib/qt3-
gcc2.96/lib/libqt-mt.so.3
#35 0x40a2c000 in QWidget::event () from /usr/lib/qt3-gcc2.96/lib/libqt-mt.so.3
#36 0x4099bff3 in QApplication::internalNotify () from /usr/lib/qt3-
gcc2.96/lib/libqt-mt.so.3
#37 0x4099b723 in QApplication::notify () from /usr/lib/qt3-gcc2.96/lib/libqt-
mt.so.3
#38 0x40653f1b in KApplication::notify () from /usr/lib/libkdecore-gcc2.96.so.4
#39 0x40944871 in QETWidget::translateMouseEvent () from /usr/lib/qt3-
gcc2.96/lib/libqt-mt.so.3
#40 0x40941a80 in QApplication::x11ProcessEvent () from /usr/lib/qt3-
gcc2.96/lib/libqt-mt.so.3
#41 0x409406ce in QApplication::processNextEvent () from /usr/lib/qt3-
gcc2.96/lib/libqt-mt.so.3
#42 0x4099d4bc in QApplication::enter_loop () from /usr/lib/qt3-
gcc2.96/lib/libqt-mt.so.3
#43 0x40940637 in QApplication::exec () from /usr/lib/qt3-gcc2.96/lib/libqt-
mt.so.3
#44 0x40054b9e in main () from /usr/lib/kate-gcc2.96.so
#45 0x410201c4 in __libc_start_main () from /lib/libc.so.6
(gdb)
Comment 2 Ngo Than 2002-12-16 18:24:25 EST
have you tried kate in 3.0.3 from errata? Does it work for you?
Comment 3 Daniel J Blueman 2002-12-17 03:51:05 EST
This bug is unreproducable with KDE 3.0.3 libraries, in the RH 7.3 errata.

Great work for backporting it- thanks guys!

Note You need to log in before you can comment on or make changes to this bug.